﻿using SoapEndpoint.Service.Flows.Inventarisatie.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.Inventarisatie;

namespace SoapEndpoint.Tester.Scenario.Implementations.Inventarisatie;

public class ReminderScenario : InventarisatieScenarioBase
{
    public override string Name => "Reminder scenario";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("scenario 1");

        var result = await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_Saldoverzoek));
        await Manager.SHV_RequestReplyAsync(Conversation, new ShvFlowItem(BerichtType.SHV_ReminderBericht),
            result.RequestMessage);
    }
}