﻿using System.Reflection;

namespace Infrastructure.Utils.Xml;

public interface IXmlValidator
{
    XmlValidationResult ValidateDocument<T>(string xmlDocument, XmlValidationOptions options = default);

    XmlValidationResult ValidateDocument(Type type, string xmlDocument, XmlValidationOptions options = default);

    XmlValidationResult ValidateDocument(string xmlDocument, Assembly assembly,
        XmlValidationOptions options = default);
}